I am getting the error 'Internet Connectivity Failure' when using Sesame, Safari or LastPass Pocket on my Mac.

Our certificate has been changed: https://blog.lastpass.com/2015/04/update-to-ssl-certificate-migrating-from-sha-1-to-sha-256.html/.  If you are receiving this error, please do the following:

1. Run KeyChain Access

2. Select Login at the top left

3. Select Certificates at the bottom left

4. Find any Thawte certificates and delete them

5. Download from https://www.verisign.com/support/thawte-roots.zip  and then unzip the file, double-click on all the .cer files it contains, and click "Install" on each one (default option should be good enough).

Still Having Trouble?
Look for answers in our vibrant customer-to-customer community help forums.
Forums
View your account information and view the status of previously submitted support tickets.
View Tickets
Submit a support ticket and we'll get back to you as soon as we can!
New Ticket

Please review these answers to your question:

Still Having Trouble?
Look for answers in our vibrant customer-to-customer community help forums.
Forums
View your account information and view the status of previously submitted support tickets.
View Tickets
Submit a support ticket and we'll get back to you as soon as we can!
New Ticket

Browse through our FAQs: